Admin/Create Webhook
POST /v1/admin/webhooks

Create Webhook

Base URL https://api.{cluster}.{platform}.voiger.io
Request · cURL
curl -X POST https://api.{cluster}.{platform}.voiger.io/v1/admin/webhooks \
  -H "Cookie: sid=$VOIGER_SESSION" \
  -H "x-workspace-code: your-workspace-code" \
  -H "x-csrf-token: $CSRF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
       "webhook": {
         "url": "https://example.com/webhooks",
         "version": 1,
         "resources": {
           "call": [
             "finished"
           ]
         },
         "auth_type": "signing_secret",
         "headers": {
           "X-Custom-Token": "my-secret-token"
         }
       }
     }'

Parameters

x-workspace-code string required in header
x-csrf-token string required in header

Response

webhook
any